package battlenet

import (
	"fmt"
	"wartank/pkg/components/sectionnet"
	"wartank/pkg/types"
)

/*
	Автоматически воюет в сражении
*/

// BattleNet -- танкует в сражении
type BattleNet struct {
	*sectionnet.SectionNet
}

// NewBattleNet -- возвращает новый *BattleNet
func NewBattleNet(battle types.ИСражениеСцена) (*BattleNet, error) {
	sectionNet, err := sectionnet.NewSectionNet(battle, "https://wartank.ru/pve")
	if err != nil {
		return nil, fmt.Errorf("NewBattleNet(): in create *SectionNet, err=\n\t%w", err)
	}
	sf := &BattleNet{
		SectionNet: sectionNet,
	}
	return sf, nil
}
